<?php
/**
 * Font Pack group definitions.
 *
 * @since Listify 1.5.0
 */
$groups = array(
	'montserrat'      => array(
		'title'    => __( 'Montserrat', 'listify' ),
		'controls' => array(
			'typography-body-font-family'             => 'Montserrat',
			'typography-body-font-size'               => 13,
			'typography-body-font-weight'             => 'normal',
			'typography-body-line-height'             => 1.5,

			'typography-page-headings-font-family'    => 'Montserrat',
			'typography-page-headings-font-size'      => 34,
			'typography-page-headings-font-weight'    => 'normal',
			'typography-page-headings-line-height'    => 1.3,

			'typography-content-headings-font-family' => 'Montserrat',
			'typography-content-headings-font-size'   => 16,
			'typography-content-headings-font-weight' => 'normal',
			'typography-content-headings-line-height' => 1.1,

			'typography-home-headings-font-family'    => 'Montserrat',
			'typography-home-headings-font-size'      => 26,
			'typography-home-headings-font-weight'    => 'normal',
			'typography-home-headings-line-height'    => 1.1,

			'typography-home-description-font-family' => 'Montserrat',
			'typography-home-description-font-size'   => 16,
			'typography-home-description-font-weight' => 'normal',
			'typography-home-description-line-height' => 1.1,

			'typography-button-font-family'           => 'Montserrat',
			'typography-button-font-size'             => 14,
			'typography-button-font-weight'           => 'normal',
			'typography-button-line-height'           => 1.5,
		),
	),
	'source-sans-pro' => array(
		'title'    => __( 'Source Sans Pro', 'listify' ),
		'controls' => array(
			'typography-body-font-family'             => 'Source Sans Pro',
			'typography-body-font-size'               => 15,
			'typography-body-font-weight'             => 'normal',
			'typography-body-line-height'             => 1.5,

			'typography-page-headings-font-family'    => 'Source Sans Pro',
			'typography-page-headings-font-size'      => 32,
			'typography-page-headings-font-weight'    => 'bold',
			'typography-page-headings-line-height'    => 1.5,

			'typography-content-headings-font-family' => 'Source Sans Pro',
			'typography-content-headings-font-size'   => 16,
			'typography-content-headings-font-weight' => 'normal',
			'typography-content-headings-line-height' => 1.1,

			'typography-home-headings-font-family'    => 'Source Sans Pro',
			'typography-home-headings-font-size'      => 32,
			'typography-home-headings-font-weight'    => 'bold',
			'typography-home-headings-line-height'    => 1.1,

			'typography-home-description-font-family' => 'Source Sans Pro',
			'typography-home-description-font-size'   => 16,
			'typography-home-description-font-weight' => 'normal',
			'typography-home-description-line-height' => 1.1,

			'typography-button-font-family'           => 'Source Sans Pro',
			'typography-button-font-size'             => 15,
			'typography-button-font-weight'           => 'normal',
			'typography-button-line-height'           => 1.5,
		),
	),
	'lato'            => array(
		'title'    => __( 'Lato, Raleway', 'listify' ),
		'controls' => array(
			'typography-body-font-family'             => 'Lato',
			'typography-body-font-size'               => 14,
			'typography-body-font-weight'             => 'normal',
			'typography-body-line-height'             => 1.5,

			'typography-page-headings-font-family'    => 'Raleway',
			'typography-page-headings-font-size'      => 33,
			'typography-page-headings-font-weight'    => 'bold',
			'typography-page-headings-line-height'    => 1.5,

			'typography-content-headings-font-family' => 'Raleway',
			'typography-content-headings-font-size'   => 16,
			'typography-content-headings-font-weight' => 'normal',
			'typography-content-headings-line-height' => 1.1,

			'typography-home-headings-font-family'    => 'Raleway',
			'typography-home-headings-font-size'      => 30,
			'typography-home-headings-font-weight'    => 'bold',
			'typography-home-headings-line-height'    => 1.1,

			'typography-home-description-font-family' => 'Lato',
			'typography-home-description-font-size'   => 14,
			'typography-home-description-font-weight' => 'normal',
			'typography-home-description-line-height' => 1.1,

			'typography-button-font-family'           => 'Raleway',
			'typography-button-font-size'             => 14,
			'typography-button-font-weight'           => 'normal',
			'typography-button-line-height'           => 1.5,
		),
	),
	'karla'           => array(
		'title'    => __( 'Karla', 'listify' ),
		'controls' => array(
			'typography-body-font-family'             => 'Karla',
			'typography-body-font-size'               => 14,
			'typography-body-font-weight'             => 'normal',
			'typography-body-line-height'             => 1.75,

			'typography-page-headings-font-family'    => 'Karla',
			'typography-page-headings-font-size'      => 32,
			'typography-page-headings-font-weight'    => 'bold',
			'typography-page-headings-line-height'    => 1.5,

			'typography-content-headings-font-family' => 'Karla',
			'typography-content-headings-font-size'   => 16,
			'typography-content-headings-font-weight' => 'normal',
			'typography-content-headings-line-height' => 1,

			'typography-home-headings-font-family'    => 'Karla',
			'typography-home-headings-font-size'      => 30,
			'typography-home-headings-font-weight'    => 'normal',
			'typography-home-headings-line-height'    => 1.1,

			'typography-home-description-font-family' => 'Karla',
			'typography-home-description-font-size'   => 16,
			'typography-home-description-font-weight' => 'normal',
			'typography-home-description-line-height' => 1.1,

			'typography-button-font-family'           => 'Karla',
			'typography-button-font-size'             => 15,
			'typography-button-font-weight'           => 'normal',
			'typography-button-line-height'           => 1.5,
		),
	),
	'varela-round'    => array(
		'title'    => __( 'Varela Round', 'listify' ),
		'controls' => array(
			'typography-body-font-family'             => 'Varela Round',
			'typography-body-font-size'               => 14,
			'typography-body-font-weight'             => 'normal',
			'typography-body-line-height'             => 1.5,

			'typography-page-headings-font-family'    => 'Varela Round',
			'typography-page-headings-font-size'      => 32,
			'typography-page-headings-font-weight'    => 'normal',
			'typography-page-headings-line-height'    => 1.5,

			'typography-content-headings-font-family' => 'Varela Round',
			'typography-content-headings-font-size'   => 15,
			'typography-content-headings-font-weight' => 'normal',
			'typography-content-headings-line-height' => 'normal',

			'typography-home-headings-font-family'    => 'Varela Round',
			'typography-home-headings-font-size'      => 30,
			'typography-home-headings-font-weight'    => 'normal',
			'typography-home-headings-line-height'    => 1.1,

			'typography-home-description-font-family' => 'Varela Round',
			'typography-home-description-font-size'   => 16,
			'typography-home-description-font-weight' => 'normal',
			'typography-home-description-line-height' => 1.1,

			'typography-button-font-family'           => 'Varela Round',
			'typography-button-font-size'             => 15,
			'typography-button-font-weight'           => 'normal',
			'typography-button-line-height'           => 1.5,
		),
	),
	'playfair'        => array(
		'title'    => __( 'Playfair Display, Raleway', 'listify' ),
		'controls' => array(
			'typography-body-font-family'             => 'Raleway',
			'typography-body-font-size'               => 15,
			'typography-body-font-weight'             => 'normal',
			'typography-body-line-height'             => 1.5,

			'typography-page-headings-font-family'    => 'Playfair Display',
			'typography-page-headings-font-size'      => 34,
			'typography-page-headings-font-weight'    => 'bold',
			'typography-page-headings-line-height'    => 1.0,

			'typography-content-headings-font-family' => 'Playfair Display',
			'typography-content-headings-font-size'   => 16,
			'typography-content-headings-font-weight' => 'normal',
			'typography-content-headings-line-height' => 1.1,

			'typography-home-headings-font-family'    => 'Playfair Display',
			'typography-home-headings-font-size'      => 42,
			'typography-home-headings-font-weight'    => 'bold',
			'typography-home-headings-line-height'    => 1.1,

			'typography-home-description-font-family' => 'Raleway',
			'typography-home-description-font-size'   => 15,
			'typography-home-description-font-weight' => 'normal',
			'typography-home-description-line-height' => 1.1,

			'typography-button-font-family'           => 'Raleway',
			'typography-button-font-size'             => 15,
			'typography-button-font-weight'           => 'normal',
			'typography-button-line-height'           => 1.5,
		),
	),
);

return $groups;
